package b4j.Draw;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class circle_subs_0 {


public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 2;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 3;BA.debugLine="Private fx As JFX";
circle._fx = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX");__ref.setField("_fx",circle._fx);
 //BA.debugLineNum = 4;BA.debugLine="Private mx, my, mRadius As Int";
circle._mx = RemoteObject.createImmutable(0);__ref.setField("_mx",circle._mx);
circle._my = RemoteObject.createImmutable(0);__ref.setField("_my",circle._my);
circle._mradius = RemoteObject.createImmutable(0);__ref.setField("_mradius",circle._mradius);
 //BA.debugLineNum = 5;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _draw(RemoteObject __ref,RemoteObject _cvs) throws Exception{
try {
		Debug.PushSubsStack("Draw (circle) ","circle",2,__ref.getField(false, "ba"),__ref,15);
if (RapidSub.canDelegate("draw")) return __ref.runUserSub(false, "circle","draw", __ref, _cvs);
Debug.locals.put("cvs", _cvs);
 BA.debugLineNum = 15;BA.debugLine="Sub Draw(cvs As Canvas)";
Debug.ShouldStop(16384);
 BA.debugLineNum = 16;BA.debugLine="cvs.DrawCircle(mx, my, mRadius, fx.Colors.Blue, F";
Debug.ShouldStop(32768);
_cvs.runVoidMethod ("DrawCircle",(Object)(BA.numberCast(double.class, __ref.getField(true,"_mx"))),(Object)(BA.numberCast(double.class, __ref.getField(true,"_my"))),(Object)(BA.numberCast(double.class, __ref.getField(true,"_mradius"))),(Object)(__ref.getField(false,"_fx").getField(false,"Colors").getField(false,"Blue")),(Object)(circle.__c.getField(true,"False")),(Object)(BA.numberCast(double.class, circle.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 1))))));
 BA.debugLineNum = 17;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba,RemoteObject _shapes,RemoteObject _x,RemoteObject _y,RemoteObject _radius) throws Exception{
try {
		Debug.PushSubsStack("Initialize (circle) ","circle",2,__ref.getField(false, "ba"),__ref,8);
if (RapidSub.canDelegate("initialize")) return __ref.runUserSub(false, "circle","initialize", __ref, _ba, _shapes, _x, _y, _radius);
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
Debug.locals.put("Shapes", _shapes);
Debug.locals.put("x", _x);
Debug.locals.put("y", _y);
Debug.locals.put("Radius", _radius);
 BA.debugLineNum = 8;BA.debugLine="Sub Initialize (Shapes As List, x As Int, y As Int";
Debug.ShouldStop(128);
 BA.debugLineNum = 9;BA.debugLine="mx = x";
Debug.ShouldStop(256);
__ref.setField ("_mx",_x);
 BA.debugLineNum = 10;BA.debugLine="my = y";
Debug.ShouldStop(512);
__ref.setField ("_my",_y);
 BA.debugLineNum = 11;BA.debugLine="mRadius = Radius";
Debug.ShouldStop(1024);
__ref.setField ("_mradius",_radius);
 BA.debugLineNum = 12;BA.debugLine="Shapes.Add(Me)";
Debug.ShouldStop(2048);
_shapes.runVoidMethod ("Add",(Object)(__ref));
 BA.debugLineNum = 13;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
}